Summary: Library for the GNOME Bluetooth Subsystem
Name: libbtctl
Version: 0.4.1
Release: 3
License: GPL
Group: System Environment/Libraries
URL: http://usefulinc.com/software/gnome-bluetooth 
Source: http://usefulinc.com/software/gnome-bluetooth/releases/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: autoconf >= 0:2.57 bluez-libs-devel glib2-devel gtk-doc openobex-devel >= 0:1.0.1 python pygtk2-devel
ExcludeArch: s390 s390x
Patch1: libbtctl-0.4.1-auto.patch
Patch2: libbtctl-0.4.1-pydir.patch

%description
Library for the GNOME Bluetooth Subsystem

%package devel
Summary: Development files for libbtctl.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the files needed for developing applications,
which use libbtctl.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch1 -p1 -b .auto
%patch2 -p1 -b .pydir

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# we do not want .la files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/python?.?/site-packages/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/python?.?/site-packages/*.la

%find_lang %name


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_libdir}/lib*.so.*
%{_libdir}/python?.?/site-packages/*btctl*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/libbtctl.pc
%{_includedir}/libbtctl
%{_datadir}/gtk-doc/html/libbtctl


%changelog
* Fri Oct 08 2004 Harald Hoyer <harald@redhat.de> 0.4.1-3
- buildrequires pygtk2-devel

* Fri Sep 24 2004 Harald Hoyer <harald@redhat.de> 0.4.1-2
- split out devel package
- require openobex >= 1.0.1
- patch for lib64 python path

* Thu Jul 22 2004 Harald Hoyer <harald@redhat.de> 0.4.1-1
- version 0.4.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 25 2004 Harald Hoyer <harald@redhat.de> 0.3-6
- buildrequire bluez-libs-devel and glib2-devel

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Aug  5 2003 Harald Hoyer <harald@redhat.de> 0.3-4
- make shared library

* Tue Aug  5 2003 Harald Hoyer <harald@redhat.de> 0.3-3
- BuildRequires bluez-sdp

* Tue Jun 24 2003 Harald Hoyer <harald@redhat.de> 0.3-2
- exclude arch s390

* Wed Jun  5 2003 Harald Hoyer <harald@redhat.de> 0.3-1
- initial RPM


